FROM debian:jessie
MAINTAINER Yaltik - Fabien Bourgeois <fabien@yaltik.com>

ENV SOURCE /var/lib/docker/volumes
ENV DEST /var/backups/

RUN apt-get update && apt-get install --no-install-recommends -y \
      cron gettext-base rsync python-minimal libpython-stdlib

COPY crontab /etc/crontab
RUN chmod 644 /etc/crontab
RUN touch /var/log/cron.log

WORKDIR /opt/backup
COPY rsync.template .
COPY plan.tpl.py .
COPY launch.sh .

CMD bash launch.sh
